{
  "name": "DistrictCentral",
  "private": true,
  "scripts": {
    "start": "meteor run",
    "update": "npx browserslist@latest --update-db",
    "build": "npm install --omit=dev && meteor build --architecture os.linux.x86_64 --server-only ../",
    "build_old": "npm install --product && meteor build --architecture os.linux.x86_64 --server-only ../",
    "test": "meteor test --once --driver-package meteortesting:mocha",
    "test-app": "TEST_WATCH=1 meteor test --full-app --driver-package meteortesting:mocha",
    "visualize": "meteor --production --extra-packages bundle-visualizer",
    "prepare": "npm run smui-theme-light && npm run smui-theme-dark",
    "smui-theme-light": "smui-theme compile client/theme/smui.css -i client/theme-src",
    "smui-theme-dark": "smui-theme compile client/theme/smui-dark.css -i client/theme-src/dark"
  },
  "dependencies": {
    "@babel/runtime": "^7.16.7",
    "connect-route": "^0.1.5",
    "csv-parse": "^5.3.0",
    "dayjs": "^1.11.3",
    "html5-qrcode": "^2.2.0",
    "jquery": "^3.6.0",
    "meteor-node-stubs": "^1.0.0",
    "moment": "^2.29.2",
    "mongodb": "^4.4.1",
    "smui-theme": "^6.1.1",
    "svelte": "^3.46.4",
    "svelte-material-ui": "^6.1.1",
    "tinro": "^0.6.12",
    "umbrellajs": "^3.3.1",
    "underscore": "^1.13.2",
    "winston": "^3.7.2",
    "winston-daily-rotate-file": "^4.6.1",
    "ws": "^8.4.2"
  },
  "meteor": {
    "mainModule": {
      "client": "client/main.js",
      "server": "server/main.js"
    },
    "testModule": "tests/main.js",
    "nodeModules": {
      "recompile": {
        "svelte": [
          "legacy"
        ]
      }
    }
  },
  "svelte:compiler": {
    "extensions": [
      "svelte",
      "html"
    ],
    "hydratable": false,
    "css": true
  },
  "devDependencies": {
    "@smui/common": "^6.0.0-beta.16",
    "@smui/icon-button": "^6.0.0",
    "@smui/layout-grid": "^6.0.0",
    "@smui/paper": "^6.0.0",
    "@smui/select": "^6.0.0-beta.16",
    "@smui/textfield": "^6.0.0-beta.16",
    "chai": "^4.2.0",
    "rollup-plugin-css-only": "^3.1.0",
    "typescript": "^4.7.4"
  }
}
